Bug 225900 - Merge Review: initscripts
Merge Review: initscripts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Package Reviews List
:
Depends On:
Blocks: F9MergeReviewTarget
  Show dependency treegraph
 
Reported: 2007-01-31 14:05 EST by Nobody's working on this, feel free to take it
Modified: 2009-09-21 16:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-30 16:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:05:25 EST
Fedora Merge Review: initscripts

http://cvs.fedora.redhat.com/viewcvs/devel/initscripts/
Initial Owner: notting@redhat.com
Comment 1 Robert Scheck 2007-02-18 17:39:21 EST
/etc/profile.d/lang.{sh,csh} is 755, but should be 644.
Comment 2 Gwyn Ciesla 2008-09-18 14:50:29 EDT
rpmlint on SRPM:

initscripts.src:11: W: hardcoded-path-in-buildroot-tag /%{_tmppath}/%{name}-%{version}-%{release}-root
A path is hardcoded in your Buildroot tag. It should be replaced by something
like %{_tmppath}/%name-root.

Fix if possible.

initscripts.src:21: W: unversioned-explicit-obsoletes event-compat-sysv
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

initscripts.src:39: W: unversioned-explicit-obsoletes rhsound
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

initscripts.src:39: W: unversioned-explicit-obsoletes sapinit
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

initscripts.src:40: W: unversioned-explicit-obsoletes hotplug
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

Fix if possible.

initscripts.src:41: E: prereq-use /sbin/chkconfig, /usr/sbin/groupadd, /bin/sed, coreutils
The use of PreReq is deprecated. In the majority of cases, a plain Requires is
enough and the right thing to do. Sometimes Requires(pre), Requires(post),
Requires(preun) and/or Requires(postun) can also be used instead of PreReq.

Fix.

initscripts.src:252: E: files-attr-not-set
A file or a directory entry in a %files section does not have attributes set
which may result in security issues in the resulting binary package depending
on the system where the package is built.  Add default attributes using
%defattr before it in the %files section, or use per line %attr's.

initscripts.src:253: E: files-attr-not-set
A file or a directory entry in a %files section does not have attributes set
which may result in security issues in the resulting binary package depending
on the system where the package is built.  Add default attributes using
%defattr before it in the %files section, or use per line %attr's.

Fix.

initscripts.src:623: W: macro-in-%changelog config
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

initscripts.src:852: W: macro-in-%changelog post
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

initscripts.src:2117: W: macro-in-%changelog pretrans
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

initscripts.src:2123: W: macro-in-%changelog pre
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

initscripts.src:2129: W: macro-in-%changelog pre
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

initscripts.src:2132: W: macro-in-%changelog pre
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

initscripts.src:2380: W: macro-in-%changelog preun
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

initscripts.src:2722: W: macro-in-%changelog clean
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

initscripts.src: W: mixed-use-of-spaces-and-tabs (spaces: line 110, tab: line 955)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

Fix.

initscripts.src: W: no-url-tag
The URL tag is missing.

We need this.  Might be good to set something up on hosted for this purpose.

rpmlint on RPMS:

initscripts.i386: E: executable-marked-as-config-file /etc/rc.d/init.d/netfs
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-ipsec
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-wireless
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/init.ipv6-global
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/readonly-root
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

Ought to be fixed, I think.  If not, why not?

initscripts.i386: E: script-without-shebang /etc/sysconfig/readonly-root
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

Fix.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-plip
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/ppp/ip-up.ipv6to4
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

Fix.

initscripts.i386: E: setgid-binary /sbin/netreport root 02755
The file is setgid. Usually this is a packaging bug. If this is a game,  then,
you should use the proper rpm group, or location.

initscripts.i386: E: non-standard-executable-perm /sbin/netreport 02755
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

Fine.

initscripts.i386: E: executable-marked-as-config-file /etc/ppp/ip-down.ipv6to4
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

Fix.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/netconsole
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

Fix.

initscripts.i386: E: script-without-shebang /etc/sysconfig/netconsole
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

Fix.

initscripts.i386: W: non-conffile-in-etc /etc/statetab
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

Fine.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-ipx
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifdown-routes
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-aliases
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

Fix.

initscripts.i386: W: non-standard-gid /var/log/wtmp utmp
A file in this package is owned by a non standard group. Standard groups are:
root, bin, daemon, sys, adm, tty, disk, lp, mem, kmem, wheel, mail, news,
uucp, man, games, gopher, dip, ftp, lock, nobody, users.

Fine.

initscripts.i386: E: non-root-group-log-file /var/log/wtmp utmp
If you need log files owned by a non-root group, just create a subdir in
/var/log and put your log files in it.

Fine.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifdown-eth
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-sit
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-routes
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/rc.d/init.d/functions
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: script-without-shebang /etc/rc.d/init.d/functions
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

initscripts.i386: E: executable-marked-as-config-file /etc/rc.d/rc
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifdown-ppp
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

Fix.

initscripts.i386: E: setuid-binary /usr/sbin/usernetctl root 04755
The file is setuid, this may be dangerous, especially if this  file is setuid
root.

initscripts.i386: E: non-standard-executable-perm /usr/sbin/usernetctl 04755
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

FIne.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifdown-bnep
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/rc.d/init.d/netconsole
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-post
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/ppp/ipv6-down
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/rc.d/rc.local
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-tunnel
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/rc.d/rc.sysinit
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

Fix.

initscripts.i386: W: non-conffile-in-etc /etc/udev/rules.d/88-clock.rules
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

Fine.

initscripts.i386: W: non-standard-gid /var/log/btmp utmp
A file in this package is owned by a non standard group. Standard groups are:
root, bin, daemon, sys, adm, tty, disk, lp, mem, kmem, wheel, mail, news,
uucp, man, games, gopher, dip, ftp, lock, nobody, users.

initscripts.i386: E: non-root-group-log-file /var/log/btmp utmp
If you need log files owned by a non-root group, just create a subdir in
/var/log and put your log files in it.

Fine.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifdown-sl
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/ppp/ipv6-up
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

Fix.

initscripts.i386: W: non-conffile-in-etc /etc/udev/rules.d/10-console.rules
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

Fine.

initscripts.i386: E: executable-marked-as-config-file /etc/ppp/ip-up
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/X11/prefdm
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-ippp
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: non-executable-script /etc/sysconfig/network-scripts/network-functions-ipv6 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

initscripts.i386: E: executable-marked-as-config-file /etc/rc.d/init.d/network
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: non-standard-dir-perm /var/run/netreport 0775
A standard directory should have permission set to 0755. If you get this
message, it means that you have wrong directory permissions in some dirs
included in your package.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-sl
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: W: non-conffile-in-etc /etc/rwtab
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

Fine.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/init
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: script-without-shebang /etc/sysconfig/init
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

Fix.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifdown-ipv6
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/rc.d/init.d/halt
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifdown-ipsec
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/rc.d/init.d/killall
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifdown-ippp
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

Fine.

initscripts.i386: W: file-not-utf8 /usr/share/doc/initscripts-8.82/ChangeLog
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile for example using iconv(1).

Fix.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-plusb
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: W: non-conffile-in-etc /etc/udev/rules.d/60-net.rules
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-ppp
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: W: non-standard-gid /var/run/utmp utmp
A file in this package is owned by a non standard group. Standard groups are:
root, bin, daemon, sys, adm, tty, disk, lp, mem, kmem, wheel, mail, news,
uucp, man, games, gopher, dip, ftp, lock, nobody, users.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-ipv6
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-eth
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifdown-post
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifup-bnep
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/ppp/ip-down
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifdown-tunnel
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

initscripts.i386: E: executable-marked-as-config-file /etc/sysconfig/network-scripts/ifdown-sit
Executables must not be marked as config files because that may prevent
upgrades from working correctly. If you need to be able to customize an
executable, make it for example read a config file in /etc/sysconfig.

Fine.

initscripts.i386: W: log-files-without-logrotate /var/log/btmp
This package contains files in /var/log/ without adding logrotate
configuration for them.

initscripts.i386: W: no-url-tag
The URL tag is missing.

Fix.

initscripts.i386: W: obsolete-not-provided event-compat-sysv
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a
compatible replacement for the old one, leave out the provides.

initscripts.i386: W: obsolete-not-provided rhsound
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a
compatible replacement for the old one, leave out the provides.

initscripts.i386: W: obsolete-not-provided sapinit
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a
compatible replacement for the old one, leave out the provides.

initscripts.i386: W: obsolete-not-provided hotplug
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a
compatible replacement for the old one, leave out the provides.

Fix if possible.

initscripts.i386: W: conffile-without-noreplace-flag /etc/X11/prefdm
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/initlog.conf
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/ppp/ip-down
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/ppp/ip-down.ipv6to4
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/ppp/ip-up
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/ppp/ip-up.ipv6to4
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/ppp/ipv6-down
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/ppp/ipv6-up
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/profile.d/lang.csh
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/profile.d/lang.sh
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/init.d/functions
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/init.d/halt
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/init.d/killall
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/init.d/netconsole
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/init.d/netfs
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/init.d/network
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/rc
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/rc.sysinit
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/rc0.d/S00killall
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/rc0.d/S01halt
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/rc2.d/S99local
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/rc3.d/S99local
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/rc4.d/S99local
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/rc5.d/S99local
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/rc6.d/S00killall
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/rc.d/rc6.d/S01reboot
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifcfg-lo
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifdown-bnep
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifdown-eth
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifdown-ippp
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifdown-ipsec
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifdown-ipv6
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifdown-post
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifdown-ppp
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifdown-routes
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifdown-sit
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifdown-sl
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifdown-tunnel
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-aliases
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-bnep
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-eth
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-ippp
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-ipsec
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-ipv6
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-ipx
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-plip
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-plusb
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-post
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-ppp
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-routes
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-sit
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-sl
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-tunnel
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/ifup-wireless
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/init.ipv6-global
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/network-functions
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

initscripts.i386: W: conffile-without-noreplace-flag /etc/sysconfig/network-scripts/network-functions-ipv6
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

Fine.

initscripts.i386: W: dangerous-command-in-%post chown

Fix if you can.

initscripts.i386: W: service-default-enabled /etc/rc.d/init.d/netfs
The service is enabled by default after "chkconfig --add"; for security
reasons, most services should not be. Use "-" as the default runlevel in the
init script's "chkconfig:" line and/or remove the "Default-Start:" LSB keyword
to fix this if appropriate for this service.

Fine.

initscripts.i386: E: missing-mandatory-lsb-keyword Description in /etc/rc.d/init.d/netfs
The package contains an init script that does not contain one of the LSB
comment block convention keywords that are mandatory.

initscripts.i386: E: missing-mandatory-lsb-keyword Short-Description in /etc/rc.d/init.d/netfs
The package contains an init script that does not contain one of the LSB
comment block convention keywords that are mandatory.

Fix if you can.

initscripts.i386: E: incoherent-subsys /etc/rc.d/init.d/netfs network
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

initscripts.i386: E: incoherent-subsys /etc/rc.d/init.d/netfs rpcbind
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

I'd love to have this fixed, but there may be valid reasons not to, at which point those should be documented in the spec.

initscripts.i386: W: incoherent-subsys /etc/rc.d/init.d/functions ${base}
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

initscripts.i386: W: incoherent-subsys /etc/rc.d/init.d/functions ${base}
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

Fine, special case.

initscripts.i386: W: no-reload-entry /etc/rc.d/init.d/functions
In your init script (/etc/rc.d/init.d/your_file), you don't have a 'reload'
entry, which is necessary for good functionality.

initscripts.i386: E: no-chkconfig-line /etc/rc.d/init.d/functions
The init script doesn't contain a chkconfig line to specify the runlevels at
which to start and stop it.

Fine.

initscripts.i386: E: missing-mandatory-lsb-keyword Description in /etc/rc.d/init.d/network
The package contains an init script that does not contain one of the LSB
comment block convention keywords that are mandatory.

initscripts.i386: E: missing-mandatory-lsb-keyword Short-Description in /etc/rc.d/init.d/network
The package contains an init script that does not contain one of the LSB
comment block convention keywords that are mandatory.

Fix.

initscripts.i386: W: no-reload-entry /etc/rc.d/init.d/halt
In your init script (/etc/rc.d/init.d/your_file), you don't have a 'reload'
entry, which is necessary for good functionality.

initscripts.i386: E: no-chkconfig-line /etc/rc.d/init.d/halt
The init script doesn't contain a chkconfig line to specify the runlevels at
which to start and stop it.

initscripts.i386: E: subsys-not-used /etc/rc.d/init.d/halt
While your daemon is running, you have to put a lock file in
/var/lock/subsys/. To see an example, look at this directory on your machine
and examine the corresponding init scripts.

initscripts.i386: E: incoherent-subsys /etc/rc.d/init.d/killall *
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

initscripts.i386: E: incoherent-subsys /etc/rc.d/init.d/killall }
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

initscripts.i386: E: no-status-entry /etc/rc.d/init.d/killall
In your init script (/etc/rc.d/init.d/your_file), you don't have a 'status'
entry, which is necessary for good functionality.

initscripts.i386: W: no-reload-entry /etc/rc.d/init.d/killall
In your init script (/etc/rc.d/init.d/your_file), you don't have a 'reload'
entry, which is necessary for good functionality.

initscripts.i386: E: no-chkconfig-line /etc/rc.d/init.d/killall
The init script doesn't contain a chkconfig line to specify the runlevels at
which to start and stop it.

Fine.

initscripts-debuginfo.i386: W: no-url-tag
The URL tag is missing.


See SRPM.

Otherwise, full review looks good.  Lots of special cases here, and I'm sure there are things I've asked to have fixed that really shouldn't be.  If so, please point them out.
Comment 3 Bill Nottingham 2008-09-30 14:14:02 EDT
(In reply to comment #2)
> initscripts.src:11: W: hardcoded-path-in-buildroot-tag

Fixed.

> initscripts.src:21: W: unversioned-explicit-obsoletes event-compat-sysv
> initscripts.src:39: W: unversioned-explicit-obsoletes rhsound
> initscripts.src:39: W: unversioned-explicit-obsoletes sapinit
> initscripts.src:40: W: unversioned-explicit-obsoletes hotplug

These are all things that are unconditionally dead as a doornail.

I suppose we could remove event-compat-sysv since it never shipped in a final release, and rhsound and sapinit just becuase they are really really really ancient things.

> initscripts.src:41: E: prereq-use /sbin/chkconfig, /usr/sbin/groupadd,
> /bin/sed, coreutils

Fixed.

> initscripts.src:252: E: files-attr-not-set
> initscripts.src:253: E: files-attr-not-set

I believe RPM does the right thing here in any case (otherwise the package would not build.) But fixed.

> initscripts.src:623: W: macro-in-%changelog config
...

All fixed.

> initscripts.src: W: mixed-use-of-spaces-and-tabs (spaces: line 110, tab: line
> 955)

Fixed.

> initscripts.src: W: no-url-tag
> The URL tag is missing.
> 
> We need this.  Might be good to set something up on hosted for this purpose.

Something added. May or may not be useful.

More in a bit.
Comment 4 Bill Nottingham 2008-09-30 14:42:06 EDT
(In reply to comment #2)
> rpmlint on RPMS:
> 
> initscripts.i386: E: executable-marked-as-config-file /etc/rc.d/init.d/netfs

init.d/* removed from %config.

> initscripts.i386: E: executable-marked-as-config-file
> /etc/sysconfig/network-scripts/ifup-ipsec

sysconfig/network-scripts/* removed from %config.

> initscripts.i386: E: executable-marked-as-config-file
> /etc/sysconfig/readonly-root

Permissions on /etc/sysconfig/* fixed. Oops.

> initscripts.i386: E: script-without-shebang /etc/sysconfig/readonly-root

See above.

> initscripts.i386: E: script-without-shebang /etc/rc.d/init.d/functions

Permissions fixed.

> initscripts.i386: W: non-conffile-in-etc /etc/udev/rules.d/88-clock.rules
> A non-executable file in your package is being installed in /etc, but is not a
> configuration file. All non-executable files in /etc should be configuration
> files. Mark the file as %config in the spec file.
> 
> Fine.

These are moved to /lib currently in any case.

> initscripts.i386: E: non-executable-script
> /etc/sysconfig/network-scripts/network-functions-ipv6 0644

Header of file fixed.

> initscripts.i386: E: non-standard-dir-perm /var/run/netreport 0775
> A standard directory should have permission set to 0755. If you get this
> message, it means that you have wrong directory permissions in some dirs
> included in your package.

That's actually correct the way it is.

> initscripts.i386: W: file-not-utf8 /usr/share/doc/initscripts-8.82/ChangeLog
> The character encoding of this file is not UTF-8.  Consider converting it in
> the specfile for example using iconv(1).
> 
> Fix.

This is generated from git history. I'm welcome to ideas as to how to do this.

> initscripts.i386: W: log-files-without-logrotate /var/log/btmp
> This package contains files in /var/log/ without adding logrotate
> configuration for them.

This isn't rotatable.

> initscripts.i386: W: obsolete-not-provided event-compat-sysv

See above re: obsoletes. Can't really replace hotplug as we don't
support those scripts any more.

> initscripts.i386: W: conffile-without-noreplace-flag /etc/X11/prefdm
> A configuration file is stored in your package without the noreplace flag. A
> way to resolve this is to put the following in your SPEC file:
> %config(noreplace) /etc/your_config_file_here

We need to force in changes here.

> initscripts.i386: W: conffile-without-noreplace-flag /etc/initlog.conf

Fixed.

> initscripts.i386: W: conffile-without-noreplace-flag /etc/profile.d/lang.csh

profile.d needs changes forced in. Possibly they should not be %config.

> initscripts.i386: W: dangerous-command-in-%post chown
> 
> Fix if you can.

It's needed.

> initscripts.i386: E: missing-mandatory-lsb-keyword Description in
> /etc/rc.d/init.d/netfs

Done.

> initscripts.i386: E: incoherent-subsys /etc/rc.d/init.d/netfs network
> The filename of your lock file in /var/lock/subsys/ is incoherent with your
> actual init script name. For example, if your script name is httpd, you have
> to use 'httpd' as the filename in your subsys directory. It is also possible
> that rpmlint gets this wrong, especially if the init script contains
> nontrivial shell variables and/or assignments.  These cases usually manifest
> themselves when rpmlint reports that the subsys name starts a with '$'; in
> these cases a warning instead of an error is reported and you should check the
> script manually.
> 
> initscripts.i386: E: incoherent-subsys /etc/rc.d/init.d/netfs rpcbind
> The filename of your lock file in /var/lock/subsys/ is incoherent with your
> actual init script name. For example, if your script name is httpd, you have
> to use 'httpd' as the filename in your subsys directory. It is also possible
> that rpmlint gets this wrong, especially if the init script contains
> nontrivial shell variables and/or assignments.  These cases usually manifest
> themselves when rpmlint reports that the subsys name starts a with '$'; in
> these cases a warning instead of an error is reported and you should check the
> script manually.
> 
> I'd love to have this fixed, but there may be valid reasons not to, at which
> point those should be documented in the spec.

This is rpmlint being very confused. The script does reference other lock files, but it doesn't use them in the way it's complaining about.

> initscripts.i386: E: missing-mandatory-lsb-keyword Description in
> /etc/rc.d/init.d/network

Fixed.

Feel free to check out git for all the changes.
Comment 5 Gwyn Ciesla 2008-09-30 14:51:45 EDT
Looks great.  Sorry, not familiar with Fedora git setup, where do I pull from?
Comment 6 Bill Nottingham 2008-09-30 15:03:12 EDT
http://git.fedorahosted.org/git/?p=initscripts.git;a=summary is the gitweb page; git and ssh links are there.
Comment 7 Gwyn Ciesla 2008-09-30 15:18:51 EDT
Thanks. 

Source URL is 404, but works as https.

Build fails.

+ make ROOT=/var/tmp/initscripts-8.83-1-root SUPERUSER=limb SUPERGROUP=limb mandir=/usr/share/man install
mkdir -p /var/tmp/initscripts-8.83-1-root/etc/profile.d /var/tmp/initscripts-8.83-1-root/sbin /var/tmp/initscripts-8.83-1-root/usr/sbin
mkdir -p /var/tmp/initscripts-8.83-1-root/usr/share/man/man{5,8}
mkdir -p /var/tmp/initscripts-8.83-1-root/etc/rwtab.d /var/tmp/initscripts-8.83-1-root/etc/statetab.d
mkdir -p /var/tmp/initscripts-8.83-1-root/var/lib/stateless/writable
mkdir -p /var/tmp/initscripts-8.83-1-root/var/lib/stateless/state
install -m644  adjtime /var/tmp/initscripts-8.83-1-root/etc
install -m644 inittab /var/tmp/initscripts-8.83-1-root/etc/inittab.sysv
if uname -m | grep -q s390 ; then \
          install -m644 inittab.s390 /var/tmp/initscripts-8.83-1-root/etc/inittab.sysv ; \
        fi
install -m644 inittab.upstart /var/tmp/initscripts-8.83-1-root/etc/inittab.upstart
install -m644  rwtab statetab networks /var/tmp/initscripts-8.83-1-root/etc
install -m755  service setsysfont /var/tmp/initscripts-8.83-1-root/sbin
install -m644  lang.csh lang.sh /var/tmp/initscripts-8.83-1-root/etc/profile.d
install -m644  debug.csh debug.sh /var/tmp/initscripts-8.83-1-root/etc/profile.d
install -m755  sys-unconfig /var/tmp/initscripts-8.83-1-root/usr/sbin
install -m644  crypttab.5 /var/tmp/initscripts-8.83-1-root/usr/share/man/man5
install -m644  service.8 sys-unconfig.8 /var/tmp/initscripts-8.83-1-root/usr/share/man/man8
install -m644 sysctl.conf /var/tmp/initscripts-8.83-1-root/etc/sysctl.conf
if uname -m | grep -q sparc ; then \
          install -m644 sysctl.conf.sparc /var/tmp/initscripts-8.83-1-root/etc/sysctl.conf ; fi
if uname -m | grep -q s390 ; then \
          install -m644 sysctl.conf.s390 /var/tmp/initscripts-8.83-1-root/etc/sysctl.conf ; fi
mkdir -p /var/tmp/initscripts-8.83-1-root/etc/X11
install -m755 prefdm /var/tmp/initscripts-8.83-1-root/etc/X11/prefdm
install -m755 -d /var/tmp/initscripts-8.83-1-root/etc/rc.d /var/tmp/initscripts-8.83-1-root/etc/sysconfig
install -m755 rc.d/rc rc.d/rc.local rc.d/rc.sysinit /var/tmp/initscripts-8.83-1-root/etc/rc.d/
cp -af rc.d/init.d /var/tmp/initscripts-8.83-1-root/etc/rc.d/
install -m644 sysconfig/debug sysconfig/init sysconfig/netconsole sysconfig/readonly-root /var/tmp/initscripts-8.83-1-root/etc/sysconfig/
cp -af sysconfig/network-scripts /var/tmp/initscripts-8.83-1-root/etc/sysconfig/
cp -af ppp NetworkManager event.d /var/tmp/initscripts-8.83-1-root/etc
mkdir -p /var/tmp/initscripts-8.83-1-root/etc/ppp/peers
mkdir -p /var/tmp/initscripts-8.83-1-root/lib
cp -af udev /var/tmp/initscripts-8.83-1-root/lib
chmod 755 /var/tmp/initscripts-8.83-1-root/etc/rc.d/* /var/tmp/initscripts-8.83-1-root/etc/rc.d/init.d/*
chmdo 644 /var/tmp/initscripts-8.83-1-root/etc/rc.d/init.d/functions
make: chmdo: Command not found
make: *** [install] Error 127
error: Bad exit status from /var/tmp/rpm-tmp.37326 (%install)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.37326 (%install)
Comment 8 Bill Nottingham 2008-09-30 15:35:19 EDT
(In reply to comment #7)
> Source URL is 404, but works as https.

It should redirect OK. I can fix it if it's really needed.

> Build fails.

Fixed, an old tarball was pushed initially.
Comment 9 Gwyn Ciesla 2008-09-30 15:55:19 EDT
Missed one. . .

initscripts.src:255: W: macro-in-%changelog config
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

>> initscripts.i386: W: file-not-utf8 /usr/share/doc/initscripts-8.82/ChangeLog
>> The character encoding of this file is not UTF-8.  Consider converting it in
>> the specfile for example using iconv(1).
>> 
>> Fix.

> This is generated from git history. I'm welcome to ideas as to how to do this.

Is there no way iconv it in the spec?

> initscripts.i386: W: conffile-without-noreplace-flag /etc/profile.d/lang.csh

profile.d needs changes forced in. Possibly they should not be %config.

Agreed.
Comment 10 Bill Nottingham 2008-09-30 16:03:15 EDT
(In reply to comment #9)
> initscripts.src:255: W: macro-in-%changelog config

Fixed.

> > This is generated from git history. I'm welcome to ideas as to how to do this.
> 
> Is there no way iconv it in the spec?

No, because some of the commit log messages are in UTF-8, and some aren't. Attempting to iconv the whole thing would corrupt the ones that are already in UTF-8.

> > initscripts.i386: W: conffile-without-noreplace-flag /etc/profile.d/lang.csh
> 
> profile.d needs changes forced in. Possibly they should not be %config.

Changed.
Comment 11 Gwyn Ciesla 2008-09-30 16:10:06 EDT
I see.  I'm out of ideas. :(

APPROVED.

Be sure and commit to rawhide, but I wouldn't bother with a special build.

Thanks for being so responsive!
Comment 12 Bill Nottingham 2008-09-30 16:14:44 EDT
Someone suggested using git-filter-branch on the repo to edit the history, but that would massively screw up anyone pulling from the repo into local cloned versions, so I can't really do that.

Everything except the last two bits should be in 8.83-1, showing up tomorrow. The last bits will show up in 8.84 at some point in the future.
Comment 13 Gwyn Ciesla 2008-09-30 16:20:26 EDT
(In reply to comment #12)
> Someone suggested using git-filter-branch on the repo to edit the history, but
> that would massively screw up anyone pulling from the repo into local cloned
> versions, so I can't really do that.

I suppose you could always somehow construct an UTF-8 version, then keep it in git and append to it as well, but that's a colossal waste of effort.

> Everything except the last two bits should be in 8.83-1, showing up tomorrow.
> The last bits will show up in 8.84 at some point in the future.

Sounds great.

Note You need to log in before you can comment on or make changes to this bug.